import { IFunction } from "aws-cdk-lib/aws-lambda";
import { BaseMetricFactory, BaseMetricFactoryProps, MetricFactory } from "../../common";
export interface LambdaFunctionEnhancedMetricFactoryProps extends BaseMetricFactoryProps {
    readonly lambdaFunction: IFunction;
}
export declare class LambdaFunctionEnhancedMetricFactory extends BaseMetricFactory<LambdaFunctionEnhancedMetricFactoryProps> {
    protected readonly lambdaFunction: IFunction;
    constructor(metricFactory: MetricFactory, props: LambdaFunctionEnhancedMetricFactoryProps);
    enhancedMetricMaxCpuTotalTime(): import("../../common").MetricWithAlarmSupport;
    enhancedMetricP90CpuTotalTime(): import("../../common").MetricWithAlarmSupport;
    enhancedMetricAvgCpuTotalTime(): import("../../common").MetricWithAlarmSupport;
    enhancedMetricMaxMemoryUtilization(): import("../../common").MetricWithAlarmSupport;
    enhancedMetricP90MemoryUtilization(): import("../../common").MetricWithAlarmSupport;
    enhancedMetricAvgMemoryUtilization(): import("../../common").MetricWithAlarmSupport;
    enhancedMetricFunctionCost(): import("../../common").MetricWithAlarmSupport;
    private enhancedMetricFunctionDuration;
    private enhancedMetric;
}
