import { DimensionsMap } from "aws-cdk-lib/aws-cloudwatch";
import { IDatabaseInstance } from "aws-cdk-lib/aws-rds";
import { BaseMetricFactory, BaseMetricFactoryProps, LatencyType, MetricFactory } from "../../common";
export interface RdsInstanceMetricFactoryProps extends BaseMetricFactoryProps {
    /**
     * database instance
     */
    readonly instance: IDatabaseInstance;
}
export declare class RdsInstanceMetricFactory extends BaseMetricFactory<RdsInstanceMetricFactoryProps> {
    readonly instanceIdentifier: string;
    readonly instance: IDatabaseInstance;
    protected readonly dimensionsMap: DimensionsMap;
    constructor(metricFactory: MetricFactory, props: RdsInstanceMetricFactoryProps);
    metricTotalConnectionCount(): import("../../common").MetricWithAlarmSupport;
    metricAverageCpuUsageInPercent(): import("../../common").MetricWithAlarmSupport;
    metricMaxFreeStorageSpace(): import("../../common").MetricWithAlarmSupport;
    metricAverageFreeableMemory(): import("../../common").MetricWithAlarmSupport;
    metricReadLatencyInMillis(latencyType: LatencyType): import("../../common").MetricWithAlarmSupport;
    metricReadThroughput(): import("../../common").MetricWithAlarmSupport;
    metricReadIops(): import("../../common").MetricWithAlarmSupport;
    metricWriteLatencyInMillis(latencyType: LatencyType): import("../../common").MetricWithAlarmSupport;
    metricWriteThroughput(): import("../../common").MetricWithAlarmSupport;
    metricWriteIops(): import("../../common").MetricWithAlarmSupport;
    private metric;
}
