import { DimensionHash } from "aws-cdk-lib/aws-cloudwatch";
import { CfnWebACL } from "aws-cdk-lib/aws-wafv2";
import { BaseMetricFactory, BaseMetricFactoryProps, MetricFactory } from "../../common";
export interface WafV2MetricFactoryProps extends BaseMetricFactoryProps {
    /**
     * Note that the "region" prop is required if this has a "REGIONAL" scope.
     */
    readonly acl: CfnWebACL;
}
/**
 * https://docs.aws.amazon.com/waf/latest/developerguide/monitoring-cloudwatch.html
 */
export declare class WafV2MetricFactory extends BaseMetricFactory<WafV2MetricFactoryProps> {
    protected readonly dimensions: DimensionHash;
    constructor(metricFactory: MetricFactory, props: WafV2MetricFactoryProps);
    metricAllowedRequests(): import("../../common").MetricWithAlarmSupport;
    metricBlockedRequests(): import("../../common").MetricWithAlarmSupport;
    metricBlockedRequestsRate(): import("../../common").MetricWithAlarmSupport;
}
